Name:          antelope
Version:       3.5.3
Release:       1%{?dist}
Summary:       A graphical user interface for Ant
License:       ASL 1.1
URL:           http://antelope.tigris.org/
# svn checkout -r175 http://antelope.tigris.org/svn/antelope/trunk antelope-3.5.3 --username guest
# rm -rf antelope-3.5.3/lib/commons-logging.jar
# rm -rf antelope-3.5.3/lib/gef.jar
# bundled dtdparser
# rm -rf antelope-3.5.3/src/com
# rm -rf antelope-3.5.3/www
# find antelope-3.5.3 -name "*.class" -delete
# rm -rf antelope-3.5.3/.svn
# tar cJf antelope-3.5.3.tar.xz antelope-3.5.3
Source0:       antelope-3.5.3.tar.xz
Source1:       antelope.appdata.xml

Source2:       antelope-512.png

# Remove bundle java-base64
Patch0:        antelope-3.5.3-base64.patch
# Fix jar and javadoc tasks
Patch1:        antelope-3.5.3-build.patch

BuildRequires: ant
BuildRequires: desktop-file-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: ImageMagick
BuildRequires: java-base64
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: libappstream-glib
BuildRequires: libxslt

BuildArch:     noarch

%description
Antelope is a graphical user interface for running Ant.

It can run as a stand-alone GUI application and as a plugin to
jEdit.

The Antelope Project also provides a set of additional tasks that
provide functionality not found in the standard tasks distributed
with Ant.

%package tasks
Summary:       %{name} ant task
Requires:      ant-lib
Requires:      java-base64

%description tasks
This package contains %{name} ant task.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

#%%package doc
#Summary:       Antelope Users Guide

#%%description doc
#This package contains Antelope Users Guide.

%prep
%setup -q -n antelope-%{version}
rm -rf .svn
%patch0 -p1
rm -rf src/ise/antelope/tasks/Base64.java \
 src/ise/antelope/tasks/util/Base64.java
%patch1 -p1

sed -i 's|source="1.5"|source="1.6"|' *.xml
sed -i 's|target="1.5"|target="1.6"|' *.xml

#sed -i 's|docbook.xsl=file:///usr/share/sgml/docbook/stylesheet/xsl/nwalsh|docbookx.xsl=file:///usr/share/sgml/docbook/xsl-stylesheets|' build.props
#sed -i 's|docbookx.dtd=file:///usr/share/sgml/docbook/dtd/4.2/docbookx.dtd|docbookx.dtd=file:///usr/share/sgml/docbook/xml-dtd-4.2/docbookx.dtd|' build.props

# Missing file src/docs/docbook-wrapper.xsl
#sed -i 's|<xsl:import href="docbook-wrapper.xsl"/>|<xsl:import href="/usr/share/sgml/docbook/xsl-stylesheets/html/docbook.xsl"/>|' \
# src/docs/users-guide.xsl

#cat > src/docs/docbook-wrapper.xsl << EOF
#<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
#<xsl:import href='/usr/share/sgml/docbook/xsl-stylesheets/html/chunkfast.xsl'/>
#</xsl:stylesheet>
#EOF

#sed -i 's|@@build.num@@|%%{version}|' src/docs/*.{txt,TXT,html,xsl}
#sed -i 's|@@build.num@@|%%{version}|' src/docs/manual/*.{html,xml}
#sed -i 's|@buildnum@|%%{version}|' src/docs/*.{txt,TXT,html,xsl}
#sed -i 's|@buildnum@|%%{version}|' src/docs/manual/*.{html,xml}

# [xslt] : Error! file:/usr/share/sgml/docbook/xsl-stylesheets/xhtml/html.xsl:
#          line 21: Variable or parameter 'writing.mode' is undefined.
# [xslt] : Error! file:/usr/share/sgml/docbook/xsl-stylesheets/xhtml/html.xsl:
#          line 21: Variable or parameter 'writing.mode' is undefined.
# [xslt] : Error! Could not compile stylesheet
# [xslt] : Fatal Error! file:/usr/share/sgml/docbook/xsl-stylesheets/xhtml/html.xsl:
#          line 21: Variable or parameter 'writing.mode' is undefined.
#          Cause: file:/usr/share/sgml/docbook/xsl-stylesheets/xhtml/html.xsl:
#          line 21: Variable or parameter 'writing.mode' is undefined.
sed -i 's|depends="jar,docs-xalan"|depends="jar"|' build-tasks.xml

# Fix non ASCII chars
for s in src/ise/antelope/tasks/Op.java \
 src/ise/antelope/tasks/util/math/Op.java;do
  native2ascii -encoding UTF8 ${s} ${s}
done

%build

ant app tasks
#transform-docs

%install

(
 cd dist
 unzip AntelopeApp_%{version}.zip
 mv AntelopeApp_%{version}/AntelopeApp.jar .
)

%mvn_artifact org.tigris:antelopeapp:%{version} dist/AntelopeApp.jar
%mvn_artifact org.tigris.antelope:antelopetasks:%{version} prep/AntelopeTasks_%{version}.jar
%mvn_file org.tigris:antelopeapp antelopeapp
%mvn_file org.tigris.antelope:antelopetasks antelopetasks
%mvn_package org.tigris.antelope:antelopetasks tasks
%mvn_install -J prep/docs/api
#rm -r prep/docs/api

%jpackage_script ise.antelope.launcher.Launcher "" "" antelopeapp:dtdparser %{name} true

mkdir -p %{buildroot}%{_sysconfdir}/ant.d
echo "ant antelopetasks java-base64" > %{name}-ant
install -p -m 644 %{name}-ant %{buildroot}%{_sysconfdir}/ant.d/%{name}

for p in 48 64 72 96 128; do
 mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${p}x${p}/apps
 convert %{SOURCE2} -geometry ${p}x${p} %{name}-${p}.png
 cp -p %{name}-${p}.png %{buildroot}%{_datadir}/icons/hicolor/${p}x${p}/apps/%{name}.png
done

cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Antelope
GenericName=Antelope
Comment=A graphical user interface for Ant
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;
EOF

desktop-file-install --vendor="" --dir=%{buildroot}%{_datadir}/applications %{name}.desktop

mkdir -p %{buildroot}/%{_datadir}/appdata
install -pm 644 %{SOURCE1} %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f .mfiles
%{_bindir}/*
%{_datadir}/appdata/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%doc src/docs/ChangeLog.txt src/docs/README.TXT src/docs/src_readme.txt src/docs/todo.txt
%license src/docs/apache_license.txt src/docs/license.txt

%files tasks -f .mfiles-tasks
%config(noreplace) %{_sysconfdir}/ant.d/%{name}
%doc src/docs/tasks_readme.txt
%license src/docs/apache_license.txt src/docs/license.txt

%files javadoc -f .mfiles-javadoc
%license src/docs/apache_license.txt src/docs/license.txt

#%%files doc
#%%doc prep/docs
#%%license src/docs/apache_license.txt src/docs/license.txt

%changelog
* Tue Nov 17 2015 gil cattaneo <puntogil@libero.it> 3.5.3-1
- update to 3.5.3

* Sat Apr 04 2015 gil cattaneo <puntogil@libero.it> 3.5.0-1
- initial rpm
